Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113420 - golang-rsc-qr: FTBFS in Fedora rawhide/f37
Summary: golang-rsc-qr: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-rsc-qr
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:46 UTC by Fedora Release Engineering
Modified: 2023-08-15 01:52 UTC (History)
2 users (show)

Fixed In Version: golang-rsc-qr-0.2.0-13.20230806gitb6857d4.fc37 golang-rsc-qr-0.2.0-13.20230806gitb6857d4.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-15 01:38:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:46 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:46 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:46 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:46:13 UTC
golang-rsc-qr failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89800706


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix golang-rsc-qr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-rsc-qr will be orphaned. Before branching of Fedora 38,
golang-rsc-qr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:46:15 UTC
Created attachment 1901685 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:46:17 UTC
Created attachment 1901686 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:46:18 UTC
Created attachment 1901687 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:29:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fedora Update System 2023-08-06 13:24:34 UTC
FEDORA-2023-543abcdfec has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-543abcdfec

Comment 6 Fedora Update System 2023-08-06 13:24:50 UTC
FEDORA-2023-cea6fa702a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cea6fa702a

Comment 7 Fedora Update System 2023-08-07 01:14:49 UTC
FEDORA-2023-cea6fa702a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cea6fa702a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cea6fa702a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-07 01:44:39 UTC
FEDORA-2023-543abcdfec has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-543abcdfec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-543abcdfec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-08-15 01:38:33 UTC
FEDORA-2023-543abcdfec has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-08-15 01:52:24 UTC
FEDORA-2023-cea6fa702a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.